<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PackagingList extends Model
{
    use HasFactory;
    protected $guarded = [];


    public function packaging_list_orders()
    {
        return $this->hasMany(PackagingListOrder::class);
    }

    public function design()
    {
        return $this->belongsTo(Design::class);
    }
}
