<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DesignMaster extends Model
{
    use HasFactory;

    protected $guarded = [];

    public function design_master_details()
    {
        return $this->hasMany(DesignMasterDetail::class);
    }

    public function designs()
    {
        return $this->hasMany(Design::class);
    }
    
      public function supplier()
    {
        return $this->belongsTo(Supplier::class);
    }
}
