<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Design extends Model
{
    use HasFactory;

    protected $guarded = [];
    
     protected $casts = [
        'products' => 'array'
    ];

    public function design_master()
    {
        return $this->belongsTo(DesignMaster::class);
    }
    
       public function rolls()
    {
        return $this->hasMany(Roll::class);
    }

    public function order()
    {
        return $this->belongsTo(Order::class);
    }
}
